<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
      integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
      crossorigin="anonymous"
    />

    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />
    <title>Bootstrap introduction and Simple Styles</title>
  </head>

  <body class="text-center bg-secondary">
    <!-- navbar -->
    <div class="bg-primary text-light fixed-top p-1">Fixed Top bar</div>
    <div>
      <h1 class="mt-5">Bootstrap and simple styles</h1>
      <div class="d-none d-lg-inline-block w-25 mt-4">
        <img
          src="https://www.drupal.org/files/project-images/bootstrap-stack.png"
          alt=""
          class="rounded-circle img-fluid"
        />
      </div>
    </div>

    <div class="container-fluid mt-5 mb-5">
      <h2>Bootstrap color classes</h2>
      <table class="table table-dark table-bordered">
        <thead>
          <tr>
            <th>Text</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>
              <a href="#" class="text-primary">Primary Link</a>
            </td>
            <td class="bg-primary">
              <a href="#" class="text-white">Primary</a>
            </td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-secondary">Secondary Link</a>
            </td>
            <td class="bg-secondary">
              <a href="#" class="text-white">Secondary</a>
            </td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-success">Success Link</a>
            </td>
            <td>
              <a href="#" class="bg-success text-white">Success</a>
            </td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-danger">Danger Link</a>
            </td>
            <td>
              <a href="#" class="bg-danger text-white">Danger</a>
            </td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-warning">Warning Link</a>
            </td>
            <td>
              <a href="#" class="bg-warning text-white">Warning</a>
            </td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-info">Info Link</a>
            </td>
            <td>
              <a href="#" class="bg-info text-white">Info</a>
            </td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-light">Light Link</a>
            </td>
            <td>
              <a href="#" class="bg-light text-dark">Light</a>
            </td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-dark">Dark Link</a>
            </td>
            <td>
              <a href="#" class="bg-dark text-white">Dark</a>
            </td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-muted">Muted Link</a>
            </td>
            <td>
              <a href="#" class="bg-muted text-white">Muted</a>
            </td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-white">White Link</a>
            </td>
            <td>
              <a href="#" class="bg-white text-dark">White</a>
            </td>
          </tr>
        </tbody>
      </table>
    </div>

    <!-- bootstrap text classess -->

    <table class="table table-dark text-white table-bordered">
      <thead>
        <tr>
          <th>Alignment</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td class="text-left">left</td>
        </tr>
        <tr>
          <td class="text-center">center</td>
        </tr>
        <tr>
          <td class="text-right">right</td>
        </tr>
        <tr>
          <td class="text-sm-center">small center</td>
        </tr>
        <tr>
          <td class="text-mg-left">medium left</td>
        </tr>
        <tr>
          <td class="text-lg-right">large right</td>
        </tr>
        <tr>
          <td class="text-xl-center">extra large center</td>
        </tr>
      </tbody>
    </table>

    <!-- Bootstrap other text classes table -->
    <table>
      <thead>
        <tr>
          <th>Text transform</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td class="text-lowercase font-weight-bold">LOWERCASED BOLD TEXT</td>
        </tr>
        <tr>
          <td class="text-uppercase font-weight-normal">
            uppercased normal text
          </td>
        </tr>
        <tr>
          <td class="text-capitalize font-weight-light">
            capitalized light text
          </td>
        </tr>
        <tr>
          <td class="text-deoration-none font-italic">
            <a href="#">non-underlined Italic link</a>
          </td>
        </tr>
      </tbody>
    </table>

    <!-- bootstrap border and sizing classess table -->
    <h2>bootstrap border and sizing classess</h2>
    <table class="table table-dark text-light table-bordered">
      <thead>
        <tr>
          <th>Border</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>
            <div class="bg-info border border-primary rounded w-100">
              Rounded
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <div class="bg-secondary border border-primary rounded-circle">
              rounded-circle
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <div class="bg-warning border border-primary rounded-pill">
              rounded-pill
            </div>
          </td>
        </tr>
      </tbody>
    </table>

    <div class="bg-primary text-light fixed-bottom p-1">
      Fixed-bottom-footer
    </div>
    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
